in vec2 uv;
in vec2 uvn;

out vec4 C;

void main(){
    vec3 col_s = vec3(
        imageLoad(u32_images[splat_tex_r], ivec2(gl_FragCoord)).x,
        imageLoad(u32_images[splat_tex_g], ivec2(gl_FragCoord)).x,
        imageLoad(u32_images[splat_tex_b], ivec2(gl_FragCoord)).x
    )/1000.0;
    col_s *= 1.5;

    C.rgb += col_s * 0.06;
    C.w = 1.0;
}
